package org.recursed.w.shared;

import org.recursed.w.shared.corerpc.Action;

public class GetTopWordsInChronoBands implements Action {

    private static final long serialVersionUID = 1L;
    private ChronoBands[] bands;
    private int n = 30;

    public GetTopWordsInChronoBands() {
        this.bands = ChronoBands.values();
    }

    public GetTopWordsInChronoBands(ChronoBands[] bands) {
        this.bands = bands;
    }

    public ChronoBands[] getChronoBands() {
        return bands;
    }

    public int getNumberOfWords() {
        return n;
    }

}
