package org.recursed.w.shared.corerpc;

import java.util.HashMap;

public class BatchedAction implements Action {

    private HashMap<Integer, Action > actions = new HashMap<Integer, Action>();
    private transient HashMap<Action, Integer> invertedMap = new HashMap<Action, Integer>();

    private static final long serialVersionUID = 1L;

    public int addAction(int counter, Action a) {
        Integer result = invertedMap.get(a);
        if (result == null) {
            this.actions.put(counter, a);
            result = counter;
        }
        return result;
    }

    public HashMap<Integer, Action> getActions() {
        return actions;
    }
}
