package org.recursed.w.shared.headlines;

import java.util.ArrayList;

import org.recursed.w.client.rpc.ActionCallback;

public abstract class GetHeadlinesCallback extends ActionCallback<GetHeadlinesResponse>{

    @Override
    public void got(GetHeadlinesResponse response) {
        gotHeadlines(response.getHeadlines());
    }

    public abstract void gotHeadlines(ArrayList<HeadlineDTO> headlines);
}
