package org.recursed.w.shared.search;

import java.util.ArrayList;

import org.recursed.w.shared.WordDTO;
import org.recursed.w.shared.corerpc.Response;

public class SuggestedWordsResponse implements Response {

    private static final long serialVersionUID = 1L;
    private ArrayList<WordDTO> words;

    public SuggestedWordsResponse() {
        words = new ArrayList<WordDTO>();
    }

    public void addSuggestion(WordDTO dto) {
        words.add(dto);
    }

    public ArrayList<WordDTO> getWords() {
        return words;
    }

}
