package org.recursed.w.client.guice;

import org.recursed.w.shared.corerpc.ActionService;
import org.recursed.w.shared.corerpc.ActionServiceAsync;

import com.google.gwt.core.client.GWT;
import com.google.inject.Provider;
import com.google.inject.Singleton;

@Singleton public class ActionServiceProvider implements Provider<ActionServiceAsync>{

    private ActionServiceAsync service;
    
    public ActionServiceProvider() {
        service = GWT.create(ActionService.class);
    }
    
    @Override
    public ActionServiceAsync get() {
        return service;
    }
}
