package org.recursed.w.client.guice;

import org.recursed.w.client.about.AboutPresenter;
import org.recursed.w.client.headlines.HeadlinesPresenter;
import org.recursed.w.client.place.PlaceService;
import org.recursed.w.client.rpc.RPCService;
import org.recursed.w.client.search.SearchPresenter;
import org.recursed.w.client.summary.SummaryPresenter;
import org.recursed.w.client.worddetail.ChosenWordPresenter;

import com.google.gwt.inject.client.GinModules;
import com.google.gwt.inject.client.Ginjector;

@GinModules(WClientModule.class)
public interface WGinjector extends Ginjector {
    public RPCService getRPCService();
    public PlaceService getPlaceService();
    public SummaryPresenter getSummaryPresenter();
    public ChosenWordPresenter getChosenWordPresenter();
    public AboutPresenter getAboutPresenter();
    public HeadlinesPresenter getHeadlinesPresenter();
    public SearchPresenter getSearchPresenter();
}
