package org.recursed.w.client.place;

import com.google.gwt.event.shared.EventHandler;
import com.google.gwt.event.shared.GwtEvent;

public class PlaceChangeEvent extends
        GwtEvent<PlaceChangeEvent.PlaceChangeHandler> {

    public interface PlaceChangeHandler extends EventHandler {
        public void onPlaceChangeEvent(PlaceChangeEvent pce);

    }

    public static final GwtEvent.Type<PlaceChangeHandler> TYPE = new GwtEvent.Type<PlaceChangeHandler>();

    private Place p;

    public PlaceChangeEvent(Place p) {
        this.p = p;
    }

    public Place getPlace() {
        return p;
    }

    @Override
    public com.google.gwt.event.shared.GwtEvent.Type<PlaceChangeHandler> getAssociatedType() {
        return TYPE;
    }

    @Override
    protected void dispatch(PlaceChangeHandler handler) {
        handler.onPlaceChangeEvent(this);
    }

}
