package org.recursed.w.server.sql;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

import javax.sql.DataSource;

import org.apache.commons.dbcp.BasicDataSource;

import com.google.inject.Inject;
import com.google.inject.Singleton;

@Singleton
public class Pool {

    private DataSource dataSource;
    
    @Inject
    public Pool() {
        BasicDataSource ds = new BasicDataSource();
        ds.setDriverClassName("com.mysql.jdbc.Driver");
        ds.setUsername("w");
        ds.setPassword("dfsjklj65465!hj673");
        ds.setUrl("jdbc:mysql://localhost:3306/w");
        ds.setValidationQuery("select 1");
        ds.setTestOnBorrow(true);
        this.dataSource = ds;
    }

    public Connection getConnection() {
        try {
            return dataSource.getConnection();
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
    }

    public static void close(ResultSet rs) {
        try {
            if (rs != null) {
                rs.close();
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }
    
    public static void close(Statement s) {
        try {
            if (s != null) {
                s.close();
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

    public static void close(Connection con) {
        try {
            if (con != null) {
                con.close();
            }
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

    public static void close(Connection con, Statement s) {
        close(s);
        close(con);
    }

    public static void close(Connection con, Statement s, ResultSet rs) {
        close(rs);
        close(s);
        close(con);
    }
}
