package org.recursed.w.shared;

import java.util.HashMap;
import java.util.Map;

import org.recursed.w.shared.corerpc.Response;

public class TopWordsInChronoBands implements Response {

    private static final long serialVersionUID = 1L;
    private Map<ChronoBands, WordDTO[]> bands;
    
    public TopWordsInChronoBands() {
        this.bands = new HashMap<ChronoBands, WordDTO[]>();
    }

    public void setWords(ChronoBands band, WordDTO[] words) {
        bands.put(band, words);
    }
    public WordDTO[] getWords(ChronoBands band) {
        return bands.get(band);
    }
}
