package org.recursed.w.shared.corerpc;

import java.util.HashMap;

public class BatchedResponse implements Response{

    private static final long serialVersionUID = 1L;

    private HashMap<Integer, Response> responses = new HashMap<Integer, Response>();
    private HashMap<Integer, Exception> exceptions = new HashMap<Integer, Exception>();

    public void addResponse(Integer key, Response r) {
        responses.put(key, r);
    }

    public void addException(Integer key, Exception e) {
        exceptions.put(key, e);
    }

    public Response getResponse(Integer key) {
        return responses.get(key);
    }

    public Exception getException(Integer key) {
        return exceptions.get(key);
    }

}
