package org.recursed.w.shared.headlines;

import java.util.ArrayList;

import org.recursed.w.shared.corerpc.Response;

public class GetHeadlinesResponse implements Response {

    private static final long serialVersionUID = 1L;

    private ArrayList<HeadlineDTO> headlines;

    public GetHeadlinesResponse() {
        headlines = new ArrayList<HeadlineDTO>();
    }

    public void addHeadline(HeadlineDTO headline) {
        this.headlines.add(headline);
    }

    public ArrayList<HeadlineDTO> getHeadlines() {
        return headlines;
    }

    public void addHeadlines(ArrayList<HeadlineDTO> more) {
        headlines.addAll(more);
    }
}
