package org.recursed.w.shared.headlines;

import java.io.Serializable;

import com.google.gwt.user.client.rpc.IsSerializable;

public class HeadlineDTO implements Serializable, IsSerializable {

    private static final long serialVersionUID = 1L;

    private String title;
    private String link;
    private int sourceId;

    @SuppressWarnings("unused")
    private HeadlineDTO() {}

    public HeadlineDTO(String title, String link, int sourceId) {
        this.title = title;
        this.link = link;
        this.sourceId = sourceId;
    }

    public String getTitle() {
        if (title != null) {
            return title;
        } else {
            return link;
        }
    }

    public String getLink() {
        return link;
    }

    public int getSourceId() {
        return sourceId;
    }
}
