package org.recursed.w.shared.trends;

import java.io.Serializable;
import java.util.ArrayList;

import org.recursed.w.shared.WordDTO;

import com.google.gwt.user.client.rpc.IsSerializable;

public class TrendDTO implements Serializable, IsSerializable {

    private static final long serialVersionUID = 1L;
    private ArrayList<String> dates;
    private ArrayList<WordDTO> words;

    public TrendDTO() {
        this.dates = new ArrayList<String>();
        this.words = new ArrayList<WordDTO>();
    }

    public void addDates(ArrayList<String> dates) {
        this.dates.addAll(dates);
    }

    public void addWords(ArrayList<WordDTO> words) {
        this.words.addAll(words);
    }

    public ArrayList<String> getDates() {
        return dates;
    }

    public ArrayList<WordDTO> getWords() {
        return words;
    }
}
